using System;

internal sealed class Delegate86 : MulticastDelegate
{
	public extern string Invoke(object object_0);

	public static string smethod_0(object object_0, Delegate86 delegate86_1)
	{
		return delegate86_1(object_0);
	}

	public extern Delegate86(object object_0, IntPtr intptr_0);

	static Delegate86()
	{
		Class10.smethod_13(typeof(Delegate86).TypeHandle);
	}

	internal static Delegate86 delegate86_0;
}
